Set Product
PUT
/product/{product-id}
const url = 'https://api.vviinn.com/product/120857';const options = { method: 'PUT', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"data":{"title":"product title","description":"product description","link":"https://www.example.com/writing/google-pens","mobile_link":"https://www.m.example.com/writing/fiji-pens","availability":"in_stock","price":18.5,"sale_price":25.5,"google_product_category":"Apparel & Accessories > Clothing > Dresses","product_type":"Home > Women > Dresses > Maxi Dresses, Home > Women > Dresses > Party Dresses","brand":"Google","gtin":"3234567890126, 123456788787, 98746543218","mpn":"GO12345OOGLE","condition":"new","adult":true,"multipack":6,"is_bundle":false,"energy_efficiency_class":"A+++","min_energy_efficiency_class":"A+++","max_energy_efficiency_class":"A+++","age_group":"newborn","color":"Orange Mango Explosion","gender":"male","material":"Leather","pattern":"Striped","size":"XL","size_type":"regular","size_system":"AU","item_group_id":"AB12345","custom_label_0":"summer","custom_label_1":"summer","custom_label_2":"summer","custom_label_3":"summer","custom_label_4":"summer","promotion_id":"tbby123_us","product_detail":"General:Product Type:Digital player,General:Digital Player Type:Flash based,Display:Resolution:432 x 240,Display:Diagonal Size:\"2.5\"","product_highlight":"\"Supports thousands of apps, including Netflix, YouTube, HBO Now, Spotify, Showtime, Pandora, Google Play Movies\", \"1080p maximum display resolution\"","product_length":"30 cm","product_width":"30 cm","product_height":"30 cm","product_weight":"10 kg"},"images":[{"url":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.vviinn.com/product/120857 \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "data": { "title": "product title", "description": "product description", "link": "https://www.example.com/writing/google-pens", "mobile_link": "https://www.m.example.com/writing/fiji-pens", "availability": "in_stock", "price": 18.5, "sale_price": 25.5, "google_product_category": "Apparel & Accessories > Clothing > Dresses", "product_type": "Home > Women > Dresses > Maxi Dresses, Home > Women > Dresses > Party Dresses", "brand": "Google", "gtin": "3234567890126, 123456788787, 98746543218", "mpn": "GO12345OOGLE", "condition": "new", "adult": true, "multipack": 6, "is_bundle": false, "energy_efficiency_class": "A+++", "min_energy_efficiency_class": "A+++", "max_energy_efficiency_class": "A+++", "age_group": "newborn", "color": "Orange Mango Explosion", "gender": "male", "material": "Leather", "pattern": "Striped", "size": "XL", "size_type": "regular", "size_system": "AU", "item_group_id": "AB12345", "custom_label_0": "summer", "custom_label_1": "summer", "custom_label_2": "summer", "custom_label_3": "summer", "custom_label_4": "summer", "promotion_id": "tbby123_us", "product_detail": "General:Product Type:Digital player,General:Digital Player Type:Flash based,Display:Resolution:432 x 240,Display:Diagonal Size:\"2.5\"", "product_highlight": "\"Supports thousands of apps, including Netflix, YouTube, HBO Now, Spotify, Showtime, Pandora, Google Play Movies\", \"1080p maximum display resolution\"", "product_length": "30 cm", "product_width": "30 cm", "product_height": "30 cm", "product_weight": "10 kg" }, "images": [ { "url": "example" } ] }'Creates a new product or updates an existing one
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”product-id
required
string
Example
120857Request Body
Section titled “Request Body”Product data object
Media typeapplication/json
object
data
object
title
description
link
mobile_link
availability
price
sale_price
google_product_category
Only category paths are supported.
string
Example
Apparel & Accessories > Clothing > Dressesproduct_type
string
Example
Home > Women > Dresses > Maxi Dresses, Home > Women > Dresses > Party Dressesbrand
gtin
mpn
condition
adult
multipack
is_bundle
energy_efficiency_class
min_energy_efficiency_class
max_energy_efficiency_class
age_group
color
gender
material
pattern
size
size_type
size_system
item_group_id
custom_label_0
custom_label_1
custom_label_2
custom_label_3
custom_label_4
promotion_id
product_detail
string
Example
General:Product Type:Digital player,General:Digital Player Type:Flash based,Display:Resolution:432 x 240,Display:Diagonal Size:"2.5"product_highlight
string
Example
"Supports thousands of apps, including Netflix, YouTube, HBO Now, Spotify, Showtime, Pandora, Google Play Movies", "1080p maximum display resolution"product_length
product_width
product_height
product_weight
images
Array<object>
Product images objectobject
url
string
Responses
Section titled “Responses”Success
Media typeapplication/json
Product data object
object
message
required
string
data
required
object
site-id
integer
product-id
string
data
object
title
string
description
string
link
string
mobile_link
string
availability
string
price
number
sale_price
number
google_product_category
product_type
string
brand
string
gtin
string
mpn
string
condition
string
adult
boolean
multipack
number
is_bundle
boolean
energy_efficiency_class
string
min_energy_efficiency_class
string
max_energy_efficiency_class
string
age_group
string
color
string
gender
string
material
string
pattern
string
size
string
size_type
string
size_system
string
item_group_id
string
custom_label_0
string
custom_label_1
string
custom_label_2
string
custom_label_3
string
custom_label_4
string
promotion_id
string
product_detail
string
product_highlight
string
product_length
string
product_width
string
product_height
string
product_weight
string
Examplegenerated
exampleCould not save or publish the product
Media typeapplication/json
Product data object
object
message
required
string
data
required
object
site-id
integer
product-id
string
data
object
title
string
description
string
link
string
mobile_link
string
availability
string
price
number
sale_price
number
google_product_category
product_type
string
brand
string
gtin
string
mpn
string
condition
string
adult
boolean
multipack
number
is_bundle
boolean
energy_efficiency_class
string
min_energy_efficiency_class
string
max_energy_efficiency_class
string
age_group
string
color
string
gender
string
material
string
pattern
string
size
string
size_type
string
size_system
string
item_group_id
string
custom_label_0
string
custom_label_1
string
custom_label_2
string
custom_label_3
string
custom_label_4
string
promotion_id
string
product_detail
string
product_highlight
string
product_length
string
product_width
string
product_height
string
product_weight
string
debug
string
Examplegenerated
exampleAuthentication Error
Media typeapplication/json
Example
{ "message": "Authentication Error"}Authorization Error
Media typeapplication/json
Example
{ "message": "Authorization Error"}